%define url ftp://ftp.win.tue.nl/pub/linux-local/utils/util-linux/

Summary:	A collection of basic system utilities
Name:		util-linux
Version:	2.11h
Release:	3.1mdk
License:	GPL
Group:		System/Base

Source0:	%{url}/util-linux-%{version}.tar.bz2

Source1:	util-linux-2.7-login.pamd
Source2:	util-linux-2.7-chfn.pamd
Source3:	util-linux-2.7-chsh.pamd

Source4:	mkcramfs.c
Source5:	cramfs.h

Source6:	nologin.c
Source7:	nologin.8

Source8:	kbdrate.c
Source9:	kbdrate.8
Source10:	util-linux-2.9w-kbdrate.apps
Source11:	util-linux-2.9w-kbdrate.pamd

Patch0:		util-linux-2.11c-mdkconf.patch.bz2
Patch1:		util-linux-2.11h-nochkdupexe.patch.bz2
Patch2:		util-linux-2.11a-gecossize.patch.bz2
Patch3:		util-linux-2.9i-mount.patch.bz2
Patch8:		util-linux-2.9i-nomount.patch.bz2
Patch9:		util-linux-2.11f-vipw.patch.bz2
Patch21:	util-linux-2.9v-nonroot.patch.bz2
Patch27:	util-linux-2.11a-moretc.patch.bz2
Patch35:	util-linux-2.10m-loginpath.patch.bz2
Patch60:	util-linux-2.10s-s390x.patch.bz2
Patch61:	util-linux-2.11b-s390x.patch.bz2
# various i18n fixes for 'cal' tool -- pablo
Patch62:	util-linux-2.11-cal_i18n.patch.bz2
Patch70:	util-linux-2.11f-miscfixes.patch.bz2

Patch100: mkcramfs.patch.bz2
Patch101: mkcramfs-quiet.patch.bz2

#don't setsid
Patch103:   util-linux-2.11e-dontsetsid.patch.bz2

# fix compilation
Patch104: util-linux-2.11h-fix-compilation.patch.bz2

Patch150:	util-linux-2.10r-locales_fr.patch.bz2
Patch152:	util-linux-2.11c-kbdrate.patch.bz2

Patch200:	util-linux-2.10r-clock-1.1-ppc.patch.bz2
Patch201:	util-linux-2.10s-clock-syntax-ppc.patch.bz2
Patch202:	util-linux-chfn-lsb-usergroups.patch.bz2

# security fix for pwent
Patch250:	util-linux-2.11h-pwent.patch.bz2

Obsoletes:	fdisk tunelp
%ifarch alpha sparc sparc64 ppc
Obsoletes:	clock
%endif
# (Dadou) Stupid, noarch is specified. Uncomment if you put something
#%ifarch
Conflicts:	initscripts <= 4.58, timeconfig <= 3.0.1
#%endif

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	pam >= 0.66-4
BuildRequires:	ncurses-devel, gpm-devel, slang, libtermcap-devel, pam-devel, slang-devel zlib-devel

%description
The util-linux package contains a large variety of low-level system
utilities that are necessary for a Linux system to function.  Among
many features, Util-linux contains the fdisk configuration tool and
login program.

%prep

%setup -q
%patch0 -p1 -b .rhconfig
%patch1 -p1 -b .nochkdupexe
%patch2 -p1 -b .gecos

# mount comes from its own rpm (again)
#%patch4 -p1 -b .mount

%patch8 -p1 -b .nomount
%patch21 -p1 -b .nonroot

%patch27 -p1 -b .moretc
%patch35 -p1 -b .loginpath

%ifarch s390 s390x
%patch60 -p1 -b .s390x2
%patch61 -p1 -b .s390x
%endif
# various i18n fixes for 'cal' tool -- pablo
%patch62 -p1

%patch70 -p1

# mkcramfs
cp %{SOURCE4} %{SOURCE5} .
%patch100 -p1 -b .mkcramfs
%patch101 -p1 -b .quiet

# kbdrate
cp %{SOURCE8} %{SOURCE9} .
%patch152 -p1 -b .kbdrate

# nologin
cp %{SOURCE6} %{SOURCE7} .
 
%ifarch ppc
%patch200 -p0
%patch201 -p1
%endif

%patch103 -p1 -b .setsid

%patch104 -p1 -b .fixes

#locales
%patch150 -p0

#LSB (sb)
%patch202 -p1
%patch250 -p1

%build
unset LINGUAS || :

%configure
%make OPT="$RPM_OPT_FLAGS -g"
%make "OPT=$RPM_OPT_FLAGS -g -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE" HAVE_PIVOT_ROOT=yes -C mount pivot_root
cd rescuept
gcc $RPM_OPT_FLAGS -o rescuept rescuept.c
cd ..

gcc $RPM_OPT_FLAGS -o mkcramfs mkcramfs.c -I. -lz

gcc $RPM_OPT_FLAGS -o kbdrate kbdrate.c -I./lib

gcc $RPM_OPT_FLAGS -o nologin nologin.c

%ifarch ppc
gcc clock-ppc.c -o clock-ppc
%endif

pushd sys-utils
    makeinfo --number-sections ipc.texi
popd


%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/{bin,sbin}
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/lib
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_infodir}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man{1,6,8}
mkdir -p ${RPM_BUILD_ROOT}%{_sbindir}
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/share/locale/{cs,de,fr,it,ja,nl,pt_BR}/LC_MESSAGES

make install DESTDIR=$RPM_BUILD_ROOT MANDIR=%buildroot/%{_mandir} INFODIR=%buildroot/%{_infodir}

install -s -m 755 mount/pivot_root ${RPM_BUILD_ROOT}/sbin
install -s -m 755 mount/pivot_root.8 ${RPM_BUILD_ROOT}%{_mandir}/man8
install -m 755 rescuept/rescuept ${RPM_BUILD_ROOT}/sbin
install -m 755 mkcramfs ${RPM_BUILD_ROOT}/usr/bin
install -m 755 nologin ${RPM_BUILD_ROOT}/sbin
install -m 644 nologin.8 ${RPM_BUILD_ROOT}%{_mandir}/man8
install -m 755 kbdrate ${RPM_BUILD_ROOT}/sbin
install -m 644 kbdrate.8 ${RPM_BUILD_ROOT}%{_mandir}/man8

if [ "%{_mandir}" != "%{_mandir}" -a -d ${RPM_BUILD_ROOT}%{_mandir} ]; then
   ( cd ${RPM_BUILD_ROOT}%{_mandir}; tar cf - ./* ) |
   ( cd ${RPM_BUILD_ROOT}%{_mandir}; tar xf - )
   ( cd ${RPM_BUILD_ROOT}%{_prefix}; rm -rf ./man )
fi

# Correct mail spool path.
perl -pi -e 's,/usr/spool/mail,/var/spool/mail,' ${RPM_BUILD_ROOT}%{_mandir}/man1/login.1

if [ "%{_infodir}" != "%{_infodir}" -a -d ${RPM_BUILD_ROOT}%{_infodir} ]; then
   ( cd ${RPM_BUILD_ROOT}%{_infodir}; tar cf - ./* ) |
   ( cd ${RPM_BUILD_ROOT}%{_infodir}; tar xf - )
   ( cd ${RPM_BUILD_ROOT}%{_prefix}; rm -rf ./info )
fi

%ifarch sparc sparc64 sparcv9
rm -rf ${RPM_BUILD_ROOT}%{_bindir}/sunhostid
cat << E-O-F > ${RPM_BUILD_ROOT}%{_bindir}/sunhostid
#!/bin/sh
# this should be %{_bindir}/sunhostid or somesuch.
# Copyright 1999 Peter Jones, <pjones@redhat.com> .  
# GPL and all that good stuff apply.
(
idprom=\`cat /proc/openprom/idprom\`
echo \$idprom|dd bs=1 skip=2 count=2
echo \$idprom|dd bs=1 skip=27 count=6
echo
) 2>/dev/null
E-O-F
chmod 755 ${RPM_BUILD_ROOT}%{_bindir}/sunhostid
%endif

#gzip -9nf ${RPM_BUILD_ROOT}%{_infodir}/ipc.info

mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/pam.d
{ pushd ${RPM_BUILD_ROOT}%{_sysconfdir}/pam.d
  install -m 644 ${RPM_SOURCE_DIR}/util-linux-2.7-login.pamd ./login
  install -m 644 ${RPM_SOURCE_DIR}/util-linux-2.7-chsh.pamd ./chsh
  install -m 644 ${RPM_SOURCE_DIR}/util-linux-2.7-chsh.pamd ./chfn
  install -m 644 ${RPM_SOURCE_DIR}/util-linux-2.9w-kbdrate.pamd ./kbdrate
  popd
}

#kbdrate thingies
install -D -m644 %{SOURCE10} ${RPM_BUILD_ROOT}%{_sysconfdir}/security/console.apps/kbdrate
ln -sf consolehelper ${RPM_BUILD_ROOT}%{_bindir}/kbdrate

# We do not want dependencies on csh
chmod 644 ${RPM_BUILD_ROOT}%{_prefix}/share/misc/getopt/*

# This has dependencies on stuff in /usr
%ifnarch sparc sparc64 sparcv9
mv ${RPM_BUILD_ROOT}/sbin/cfdisk ${RPM_BUILD_ROOT}/usr/sbin
%endif

%ifarch ppc
rm -f $RPM_BUILD_ROOT/sbin/clock
rm -f $RPM_BUILD_ROOT/sbin/hwclock
cp -f $RPM_BUILD_DIR/%{name}-%{version}/clock-ppc $RPM_BUILD_ROOT/sbin/clock
ln -sf clock $RPM_BUILD_ROOT/sbin/hwclock
ln -sf ../../sbin/clock $RPM_BUILD_ROOT/usr/sbin/hwclock
%else
ln -sf ../../sbin/hwclock ${RPM_BUILD_ROOT}/usr/sbin/hwclock
ln -sf ../../sbin/clock ${RPM_BUILD_ROOT}/usr/sbin/clock
ln -sf hwclock ${RPM_BUILD_ROOT}/sbin/clock
%endif

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -x /sbin/install-info ];then
%_install_info ipc.info
fi

%postun
%_remove_install_info ipc.info

%files -f %{name}.lang
%defattr(-,root,root)
%doc */README.*
/bin/arch
/bin/dmesg
/bin/kill
%attr(755,root,root)	/bin/login
/bin/more

#kbdrate
%config(noreplace) %{_sysconfdir}/pam.d/kbdrate
%config(noreplace) %{_sysconfdir}/security/console.apps/kbdrate
/sbin/kbdrate
%{_mandir}/man8/kbdrate.8*

%config(noreplace) %{_sysconfdir}/fdprm
%config(noreplace) %{_sysconfdir}/pam.d/chfn
%config(noreplace) %{_sysconfdir}/pam.d/chsh
%config(noreplace) %{_sysconfdir}/pam.d/login

/sbin/agetty
/sbin/blockdev
/sbin/pivot_root
/sbin/clock
/sbin/ctrlaltdel
/sbin/elvtune
/sbin/fdisk

%ifarch %{ix86} alpha ia64
/sbin/fsck.minix
/sbin/mkfs.minix
/sbin/mkfs.bfs
%{_mandir}/man8/fsck.minix.8*
%{_mandir}/man8/mkfs.minix.8*
%{_mandir}/man8/mkfs.bfs.8*
/sbin/sfdisk
%{_mandir}/man8/sfdisk.8*
%doc fdisk/sfdisk.examples
%endif

/usr/sbin/hwclock
/sbin/hwclock
/sbin/mkfs
/sbin/mkswap
#/sbin/mkfs.bfs
/sbin/rescuept
#/sbin/sln
/sbin/nologin
%{_mandir}/man8/nologin.8*

%{_bindir}/cal
%attr(4711,root,root)	%{_bindir}/chfn
%attr(4711,root,root)	%{_bindir}/chsh
%{_bindir}/col
%{_bindir}/colcrt
%{_bindir}/colrm
%{_bindir}/column
%ifarch %{ix86} alpha armv4l
%{_bindir}/cytune
%{_mandir}/man8/cytune.8*
%endif
%{_bindir}/ddate
%{_bindir}/fdformat
%{_bindir}/getopt
%{_bindir}/hexdump
%{_bindir}/ipcrm
%{_bindir}/ipcs
%{_bindir}/logger
%{_bindir}/look
%{_bindir}/mcookie
%{_bindir}/mkcramfs
%{_bindir}/namei
%attr(4711,root,root)	%{_bindir}/newgrp
%{_bindir}/raw
%{_bindir}/rename
%{_bindir}/renice
%{_bindir}/rev
%{_bindir}/script
%{_bindir}/setfdprm
%{_bindir}/setsid
%{_bindir}/setterm
%ifarch sparc sparc64 sparcv9
%{_bindir}/sunhostid
%endif
#%{_bindir}/tsort
%{_bindir}/ul
%{_bindir}/whereis
%attr(2755,root,tty)	%{_bindir}/write

%{_prefix}/games/banner

%ifnarch sparc sparc64 sparcv9
%{_sbindir}/cfdisk
%{_mandir}/man8/cfdisk.8*
%endif
%ifarch %{ix86}
%{_sbindir}/rdev
%{_sbindir}/ramsize
%{_sbindir}/rootflags
#Obsoletes
#%{_sbindir}/swapdev
%{_sbindir}/vidmode
%{_mandir}/man8/rdev.8*
%{_mandir}/man8/ramsize.8*
%{_mandir}/man8/rootflags.8*
#Obsoletes
#%{_mandir}/man8/swapdev.8*
%{_mandir}/man8/vidmode.8*
%endif
%{_sbindir}/readprofile
%{_sbindir}/tunelp
%{_sbindir}/vipw
%{_sbindir}/vigr

%{_infodir}/ipc.info*

%{_mandir}/man1/arch.1*
%{_mandir}/man1/cal.1*
%{_mandir}/man1/chfn.1*
%{_mandir}/man1/chsh.1*
%{_mandir}/man1/col.1*
%{_mandir}/man1/colcrt.1*
%{_mandir}/man1/colrm.1*
%{_mandir}/man1/column.1*
%{_mandir}/man1/ddate.1*
%{_mandir}/man1/getopt.1*
%{_mandir}/man1/hexdump.1*
#%{_mandir}/man1/hostid.1*
%{_mandir}/man1/kill.1*
%{_mandir}/man1/logger.1*
%{_mandir}/man1/login.1*
%{_mandir}/man1/look.1*
%{_mandir}/man1/mcookie.1*
%{_mandir}/man1/more.1*
%{_mandir}/man1/namei.1*
%{_mandir}/man1/newgrp.1*
%{_mandir}/man1/readprofile.1*
%{_mandir}/man1/rename.1*
%{_mandir}/man1/rev.1*
%{_mandir}/man1/script.1*
%{_mandir}/man1/setterm.1*
#%{_mandir}/man1/tsort.1*
%{_mandir}/man1/ul.1*
%{_mandir}/man1/whereis.1*
%{_mandir}/man1/write.1*

%{_mandir}/man6/banner.6*

%{_mandir}/man8/agetty.8*
%{_mandir}/man8/blockdev.8*
%{_mandir}/man8/ctrlaltdel.8*
%{_mandir}/man8/dmesg.8*
%{_mandir}/man8/elvtune.8*
%{_mandir}/man8/fdformat.8*
%{_mandir}/man8/fdisk.8*
%{_mandir}/man8/hwclock.8*
%{_mandir}/man8/ipcrm.8*
%{_mandir}/man8/ipcs.8*
%{_mandir}/man8/mkfs.8*
#%{_mandir}/man8/mkfs.bfs.8*
%{_mandir}/man8/mkswap.8*
%{_mandir}/man8/pivot_root.8*
%{_mandir}/man8/raw.8*
%{_mandir}/man8/renice.8*
%{_mandir}/man8/setfdprm.8*
%{_mandir}/man8/setsid.8*
# XXX this man page should be moved to glibc.
%{_mandir}/man8/sln.8*
%{_mandir}/man8/tunelp.8*
%{_mandir}/man8/vigr.8*
%{_mandir}/man8/vipw.8*

%{_datadir}/misc/getopt
%{_datadir}/misc/more.help

%changelog
* Wed Oct 24 2001 Vincent Danen <vdanen@mandrakesoft.com> 2.11h-3.1mdk
- security fix for 8.1

* Thu Sep  6 2001 Stew Benedict <sbenedict@mandrakesoft.com> 2.11h-3mdk
- add additional switches to chfn for LSB usrgroups test
- /usr/sbin/hwclock link on PPC too

* Wed Aug 29 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 2.11h-2mdk
- put again the patch to fixed 'cal' program to properly display columns
  for i18n'ed names in multibyte locales (eg, in utf-8)

* Mon Aug  6 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.11h-1mdk
- Add pivot_root.
- Silly compilation fixes with newer glibc.
- 2.11h.
- Merges rh patches.

* Wed Jul 18 2001 Frederic Lepied <flepied@mandrakesoft.com> 2.11f-1mdk
- use fix vipw to not create world-readable shadow files from rh
- 2.11f

* Sat Jul 07 2001 Stefan van der Eijk <stefan@eijk.nu> 2.11e-2mdk
- BuildRequires:	zlib-devel

* Fri Jun  8 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.11e-1mdk
- 2.11e.
- Really fix the login.c to don't do setsid (thanks dbg by Andrej
  Borsenkow <arvidjaar@mail.ru>).

* Wed Jun  6 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.11d-2mdk
- Revert login.c to 2.10d version.

* Tue Jun  5 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.11d-1mdk
- 2.11d.

* Mon May 21 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.11c-2mdk
- Fix rpmlint errors.

* Mon May 21 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.11c-1mdk
- Clean-Up specs.
- Merge with rh patches.
- 2.11c (add kbdrate from kbd pacakge here).

* Tue May 15 2001 Stew Benedict <sbenedict@mandrakesoft.com> 2.10s-4mdk
- Adapt clock-ppc syntax to accept hwclock parameters

* Mon Apr  2 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.10s-3mdk
- Fix look to search words in /usr/share/dict (#2096).

* Tue Feb 20 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.10s-2mdk
- Recompile again the last glibc-devel to have the PATH_VI defined to
  /bin/vi.

* Mon Feb  5 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.10s-1mdk
- BuildRequires: slang-devel.
- 2.10s.

* Tue Jan 23 2001 Francis Galiegue <fg@mandrakesoft.com> 2.10r-5mdk
- Removed all that usermode crap - we don't want X in basesystem

* Tue Jan 16 2001 David BAUDENS <baudens@mandrakesoft.com> 2.10r-4mdk
- PPC: fix build with Linux 2.4

* Fri Jan 05 2001 David BAUDENS <baudens@mandrakesoft.com> 2.10r-3mdk
- BuildRequires: pam-devel
- Requires: usermode

* Wed Dec 13 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.10r-2mdk
- in french, "partition number" translation should be "numro de partition" and
  not "nombre de partition" (Jacques Stephant)

* Tue Dec  5 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.10r-1mdk
- Remove vipath patch since not really usefull for mandrake (we set always a /bin/vi).
- 2.10r.

* Thu Nov 29 2000 David BAUDENS <baudens@mandrakesoft.com> 2.10q-2mdk
- Fix build for PPC
- Fix %%doc

* Fri Nov 10 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.10q-1mdk
- new and shiny version.

* Tue Sep 26 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.10o-6mdk
- Pamstackizification.

* Wed Sep 20 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.10o-5mdk
- added compat patch for ftp://nfs.sourceforge.net/pub/nfs.

* Sat Aug 26 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.10o-4mdk
- Fix info file installation.

* Fri Aug 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.10o-3mdk
- Change license to GPL.

* Wed Aug 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.10o-2mdk
- Move getopt examples to /usr/share/misc/
- Set some noreplace for config files.
- Correct licens to OpensSource.

* Wed Aug 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.10o-1mdk
- 2.10o.

* Wed Aug 16 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.10n-4mdk
- add elvtune (needed by recent kernels), blockdev, mkfs.bfs, agetty
- fix config files
- fix postun script

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.10n-3mdk
- automatically added BuildRequires

* Thu Aug  3 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.10n-2mdk
- Add install-info for ipc.

* Thu Aug  3 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.10n-1mdk
- Correct URL.
- 2.10n.

* Mon Jul 31 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.10m-1mdk
- Add %{_mandir} to whereis.
- BM.
- Merge rh patches.
- 2.19m.

* Fri Jun 30 2000 Vincent Saugey <vince@mandrakesoft.com> 2.10h-6mdk
- Remove Requires: tcsh
- move exemple to doc

* Thu Jun 29 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.10h-5mdk
- Remove Requires: kernel.

* Sun Jun 04 2000 David BAUDENS <baudens@mandrakesoft.com> 2.10h-4mdk
- Really use RPM_OPT_FLAGS
- Use %%{_tmppath} for BuildRoot
- Comment empty %%ifarch
- Remove duplicate k6 

* Fri May 26 2000 Adam Lebsack <adam@mandrakesoft.com> 2.10h-3mdk
- ppc clock patch fix

* Mon May 15 2000 Pixel <pixel@mandrakesoft.com> 2.10h-2mdk
- fix build (ugly)

* Fri Mar 31 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.10h-1mdk
- 2.10h.
- Spec-helper cleanup.
- Adjust groups.

* Sun Mar 19 2000 John Buswell <johnb@mandrakesoft.com> 2.10f-2mdk
- Added PPC support
- Added fix for PowerMac/G3/G4 clock

* Wed Feb 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.10f-1mdk
- 2.10f.

* Wed Jan 26 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.10e-1mdk
- Fix multiple files inclusion for alpha and sparc{,64}.
- 2.10e.

* Tue Jan 18 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.10b-3mdk
- fixed build on sparc.

* Sun Nov 21 1999 Pixel <pixel@mandrakesoft.com>
- add rescuept in %files

* Mon Nov 15 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 2.2.10b.

* Wed Nov  3 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 2.2.10.

* Tue Nov  2 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix this fu**** %files, references to a archeologic arch(again).

* Mon Oct 25 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix this fu**** %files, references to a dinosaur arch.
- Merge with (Buggy) RH changes.
- 2.9z

* Tue Sep 28 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- 2.9y

* Mon Sep 13 1999 Francis Galigue <francis@mandrakesoft.com>
- Added file /etc/filesystems for i[3-6]86 archs with entry vfat,
  therefore obsoleting the need for modprobe vfat in rc.sysinit

* Sun Aug 29 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Insert rescuept.

* Tue Aug 24 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 2.9w

* Wed Jul 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 2.9v

* Mon Jul 11 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- 2.9u
- Add french description from Thierry Vignaud <tvignaud@linux-mandrake.com>

* Fri Jul 09 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- update source url
- rebuild under cur env (13mdk)

* Mon Jul  5 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Update to 2.9t
- remove a series of patches - they finally made it to the base.

* Mon May 24 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- fix some %ifarch bugs
- Update to 2.9r

* Tue May 11 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add vigr to the file lists.

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale
- enable building mount
- fix handling of RPM_OPT_FLAGS

* Mon Mar 15 1999 Michael Johnson <johnsonm@redhat.com>
- added pam_console.so to /etc/pam.d/login

* Thu Feb  4 1999 Michael K. Johnson <johnsonm@redhat.com>
- .perms patch to login to make it retain root in parent process
  for pam_close_session to work correctly

* Tue Jan 12 1999 Jeff Johnson <jbj@redhat.com>
- strip fdisk in buildroot correctly (#718)

* Mon Jan 11 1999 Cristian Gafton <gafton@redhat.com>
- have fdisk compiled on sparc and arm

* Mon Jan 11 1999 Erik Troan <ewt@redhat.com>
- added beos partition type to fdisk

* Wed Dec 30 1998 Cristian Gafton <gafton@redhat.com>
- incorporate fdisk on all arches

* Sat Dec  5 1998 Jeff Johnson <jbj@redhat.com>
- restore PAM functionality at end of login (Bug #201)

* Thu Dec 03 1998 Cristian Gafton <gafton@redhat.com>
- patch top build on the arm without PAM and related utilities, for now.
- build hwclock only on intel

* Wed Nov 18 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to version 2.9

* Thu Oct 29 1998 Bill Nottingham <notting@redhat.com>
- build for Raw Hide (slang-1.2.2)
- patch kbdrate wackiness so it builds with egcs

* Tue Oct 13 1998 Erik Troan <ewt@redhat.com>
- patched more to use termcap

* Mon Oct 12 1998 Erik Troan <ewt@redhat.com>
- added warning about alpha/bsd label starting cylinder

* Mon Sep 21 1998 Erik Troan <ewt@redhat.com>
- use sigsetjmp/siglongjmp in more rather then sig'less versions

* Fri Sep 11 1998 Jeff Johnson <jbj@redhat.com>
- explicit attrs for setuid/setgid programs

* Thu Aug 27 1998 Cristian Gafton <gafton@redhat.com>
- sln is now included in glibc

* Sun Aug 23 1998 Jeff Johnson <jbj@redhat.com>
- add cbm1581 floppy definitions (problem #787)

* Mon Jun 29 1998 Jeff Johnson <jbj@redhat.com>
- remove /etc/nologin at end of shutdown/halt.

* Fri Jun 19 1998 Jeff Johnson <jbj@redhat.com>
- add mount/losetup.

* Thu Jun 18 1998 Jeff Johnson <jbj@redhat.com>
- update to 2.8 with 2.8b clean up. hostid now defunct?

* Mon Jun 01 1998 David S. Miller <davem@dm.cobaltmicro.com>
- "more" now works properly on sparc

* Sat May 02 1998 Jeff Johnson <jbj@redhat.com>
- Fix "fdisk -l" fault on mounted cdrom. (prob #513)

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat Apr 11 1998 Cristian Gafton <gafton@redhat.com>
- manhattan rebuild

* Mon Dec 29 1997 Erik Troan <ewt@redhat.com>
- more didn't suspend properly on glibc
- use proper tc*() calls rather then ioctl's

* Sun Dec 21 1997 Cristian Gafton <gafton@redhat.com>
- fixed a security problem in chfn and chsh accepting too 
  long gecos fields

* Fri Dec 19 1997 Mike Wangsmo <wanger@redhat.com>
- removed "." from default path

* Tue Dec 02 1997 Cristian Gafton <gafton@redhat.com>
- added (again) the vipw patch

* Wed Oct 22 1997 Michael Fulbright <msf@redhat.com>
- minor cleanups for glibc 2.1

* Fri Oct 17 1997 Michael Fulbright <msf@redhat.com>
- added vfat32 filesystem type to list recognized by fdisk

* Fri Oct 10 1997 Erik Troan <ewt@redhat.com>
- don't build clock on the alpha 
- don't install chkdupexe

* Thu Oct 02 1997 Michael K. Johnson <johnsonm@redhat.com>
- Update to new pam standard.
- BuildRoot.

* Thu Sep 25 1997 Cristian Gafton <gafton@redhat.com>
- added rootok and setproctitle patches
- updated pam config files for chfn and chsh

* Tue Sep 02 1997 Erik Troan <ewt@redhat.com>
- updated MCONFIG to automatically determine the architecture
- added glibc header hacks to fdisk code
- rdev is only available on the intel

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- update to util-linux 2.7, fixed login problems

* Wed Jun 25 1997 Erik Troan <ewt@redhat.com>
- Merged Red Hat changes into main util-linux source, updated package to
  development util-linux (nearly 2.7).

* Tue Apr 22 1997 Michael K. Johnson <johnsonm@redhat.com>
- LOG_AUTH --> LOG_AUTHPRIV in login and shutdown

* Mon Mar 03 1997 Michael K. Johnson <johnsonm@redhat.com>
- Moved to new pam and from pam.conf to pam.d

* Tue Feb 25 1997 Michael K. Johnson <johnsonm@redhat.com>
- pam.patch differentiated between different kinds of bad logins.
  In particular, "user does not exist" and "bad password" were treated
  differently.  This was a minor security hole.
